xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: Apache FOP: Embedding PDF, EPS
Date Thu, 10 Apr 2008 09:01:51 GMT
I'm sorry for the confusion. That was a mistake. There were changes
necessary in FOP to allow this plug-in. I've done them around the time
0.94 was released but they were done on a branch which was merged back
into Trunk only after the 0.94 release. Somehow I seem to have messed
that up when I released new versions of the plug-in. What's in the
README file is correct. The download page is wrong. I'll fix that when
I'm back home after ApacheCon. Basically, you should probably move to
0.95beta and use the latest version of the plug-in. It has a few
important bugfixes.

On 10.04.2008 10:34:42 Oliver Hirschi wrote:
> "Jeremias Maerki" <dev@jeremias-maerki.ch> schrieb im Newsbeitrag 
> news:20080407150919.2990.60BA733C@jeremias-maerki.ch...
> >
> > On 07.04.2008 13:08:33 Peter Coppens wrote:
> >> For pdf, checkout 
> >> http://www.jeremias-maerki.ch/development/fop/index.html
> >
> > Yep. ;-)
> 
> I'm really confused. Due to I am using fop-0.94, I downloaded 
> fop-pdf-images-1.0-bin.zip, extract it and copied the two jars 
> "fop-pdf-images-1.0.jar" and "PDFBox-0.7.4-dev.jar" into my classpath 
> and I still get the same error:
> ------------------------------
> [WARN] No ImageReader found for file:/t:/__Oli/000/2.pdf
> [ERROR] No ImageReader for this type of image (t:\__Oli\000\2.pdf)
> [ERROR] Image not available: t:\__Oli\000\2.pdf
> ------------------------------
> 
> The relevant extract of the fo is:
> ------------------------------
> <fo:block text-align="center">
> <fo:external-graphic src="t:\__Oli\000\2.pdf" content-width="100.0mm" 
> content-height="96.33114mm"/>
> </fo:block>
> ------------------------------
> 
> The 2.pdf containes only one page, but I tried also with 
> src="t:\__Oli\000\2.pdf#page=1" without success.
> 
> In the README of the downloaded fop-pdf-images-1.0-bin.zip, I saw the 
> following information:
> ------------------------------
> * This package does not work with FOP 0.93, 0.94 or any earlier 
> version.
>   You will need a later release or the code from FOP Trunk.
> ------------------------------
> What about that? On the download page is written "Version 1.0 (for 
> Apache FOP 0.94)"?
> 
> Thanks in advanced,
> Oliver Hirschi
> 


Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message